---
title: List-of-URL-parameters
description: 
published: true
date: 2021-05-23T16:59:05.685Z
tags: 
editor: markdown
dateCreated: 2021-01-28T20:40:01.812Z
---

A list of URL parameters for Invidious, which can automatically toggle various UI and player settings.

_This list is incomplete. You can help by expanding it._

| Parameter                                    | Setting                                                                                                                                                                                   |
| -------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Site-wide parameters**                     |                                                                                                                                                                                           |
| _Dark mode_                                  | Configure default theme without setting cookies                                                                                                                                           |
| `dark_mode=true`                             | Use dark theme                                                                                                                                                                            |
| `dark_mode=false`                            | Use light theme                                                                                                                                                                           |
| _Thin mode_                                  | Load HTML, CSS, JS and video elements (disables images)                                                                                                                                   |
| `thin_mode=true`                             | Enabled                                                                                                                                                                                   |
| `thin_mode=false`                            | Disabled                                                                                                                                                                                  |
| _UI Language_                                | Available locales are also listed [here](https://github.com/iv-org/invidious/blob/0.17.0/src/invidious.cr#L63-L75)                                                                      |
| `hl=ar`                                      | Arabic                                                                                                                                                                                    |
| `hl=de`                                      | German                                                                                                                                                                                    |
| `hl=el`                                      | Greek                                                                                                                                                                                     |
| `hl=en-US`                                   | English                                                                                                                                                                                   |
| `hl=eo`                                      | Esperanto                                                                                                                                                                                 |
| `hl=es`                                      | Spanish                                                                                                                                                                                   |
| `hl=eu`                                      | Basque                                                                                                                                                                                    |
| `hl=fr`                                      | French                                                                                                                                                                                    |
| `hl=is`                                      | Icelandic                                                                                                                                                                                 |
| `hl=it`                                      | Italian                                                                                                                                                                                   |
| `hl=nb_NO`                                   | Norwegian Bokmål                                                                                                                                                                          |
| `hl=nl`                                      | Dutch                                                                                                                                                                                     |
| `hl=pl`                                      | Polish                                                                                                                                                                                    |
| `hl=ru`                                      | Russian                                                                                                                                                                                   |
| `hl=uk`                                      | Ukranian                                                                                                                                                                                  |
| `hl=zh-CN`                                   | Chinese (traditional)                                                                                                                                                                     |
| **Player parameters**                        | Available parameters also listed [here](https://github.com/iv-org/invidious/blob/0.17.0/src/invidious/videos.cr#L244)                                                                   |
| _Annotations_                                | Show legacy annotations, provided by the [Internet Archive](https://archive.org/details/youtubeannotations)                                                                               |
| `iv_load_policy=1`                           | Show annotations                                                                                                                                                                          |
| `iv_load_policy=3`                           | Hide annotations                                                                                                                                                                          |
| _Autoplay_                                   | Automatically play video on load                                                                                                                                                          |
| `autoplay=1`                                 | Enabled                                                                                                                                                                                   |
| `autoplay=0`                                 | Disabled                                                                                                                                                                                  |
| _Continue_                                   | When video is done, automatically go to the next related video (similar to YouTube’s _Autoplay_ feature)                                                                                  |
| `continue=1`                                 | Enabled                                                                                                                                                                                   |
| `continue=0`                                 | Disabled                                                                                                                                                                                  |
| _Listen_                                     | Play only audio portion of video                                                                                                                                                          |
| `listen=true`                                | Enabled                                                                                                                                                                                   |
| `listen=false`                               | Disabled                                                                                                                                                                                  |
| _Local_                                      | Proxy video streams, equivalent to enabling `Proxy videos?` in preferences                                                                                                                |
| `local=true`                                 | Enabled                                                                                                                                                                                   |
| `local=false`                                | Disabled                                                                                                                                                                                  |
| _Subtitles_                                  | List of ISO 639-1 language codes (comma-separated)                                                                                                                                        |
| `subtitles=en`                               | English (will use `auto-generated` if native translation is unavailable)                                                                                                                  |
| _Quality_                                    | Default player quality                                                                                                                                                                    |
| `quality=dash`                               | [DASH](https://en.wikipedia.org/wiki/Dynamic_Adaptive_Streaming_over_HTTP)                                                                                                                |
| `quality=hd720`                              | 720p                                                                                                                                                                                      |
| `quality=medium`                             | 480p                                                                                                                                                                                      |
| _Related Videos_                             | Show "Related videos" tab on the right-hand side                                                                                                                                          |
| `related_videos=false`                       | Disabled                                                                                                                                                                                  |
| _Speed_                                      | Default player speed, can be any positive number                                                                                                                                          |
| `speed=0.5`                                  | Play at 0.5x speed                                                                                                                                                                        |
| `speed=2`                                    | Play at 2x speed                                                                                                                                                                          |
| `speed=9.34`                                 | Play at 9.34x speed                                                                                                                                                                       |
| _Loop_                                       | Loop player by default                                                                                                                                                                    |
| `loop=1`                                     | Enabled                                                                                                                                                                                   |
| `loop=0`                                     | Disabled                                                                                                                                                                                  |
| _Volume_                                     | Default player volume, can be any whole number between 0 and 100                                                                                                                          |
| `volume=10`                                  | Play video at 10% volume                                                                                                                                                                  |
| _Region_                                     | Provide "hint" (as ISO 3166 country code) for Invidious to load videos from the specified region                                                                                          |
| `region=JP`                                  | Attempt to load video as if the user were in Japan                                                                                                                                        |
| `region=DE`                                  | Attempt to load video as if the user were in Germany                                                                                                                                      |
| _Controls_                                   | Provide player controls                                                                                                                                                                   |
| `controls=1`                                 | Enabled                                                                                                                                                                                   |
| `controls=0`                                 | Disabled                                                                                                                                                                                  |
| _Raw_                                        | Redirect to latest copy of video at the specified `quality` and optionally proxy video                                                                                                    |
| `raw=1`                                      | Enabled                                                                                                                                                                                   |
| `raw=0`                                      | Disabled                                                                                                                                                                                  |
| _Time controls_                              | Control when the player starts and stops playback. Providing `loop=1` will only loop the specified section                                                                                |
| `start=TIME`, `t=TIME`, `time_continue=TIME` | Start playback at `TIME` seconds into the video. Supports `TIME` as either an integer specifying seconds or using `12h30m10s22ms` syntax. For example, `t=12m9s` is equivalent to `t=729` |
| `end=TIME`                                   | Stop playback at either `TIME` seconds or using the above mentioned `12h56m10s22ms` syntax.                                                                                               |
| **Search parameters**                        |                                                                                                                                                                                           |
| _Region_                                     | Provide "hint" (as ISO 3166 country code) for Invidious to load search results from the specified region                                                                                  |
| `region=JP`                                  | Attempt to load search results as if the user were in Japan                                                                                                                               |
| `region=DE`                                  | Attempt to load search results as if the user were in Germany                                                                                                                             |
| **Trending parameters**                      |                                                                                                                                                                                           |
| _Trending type_                              | View trending videos only in a specific category                                                                                                                                          |
| `type=Default`                               | Default                                                                                                                                                                                          |
| `type=Music`                                 | Music                                                                                                                                                                                          |
| `type=Gaming`                                | Gaming                                                                                                                                                                                          |
| `type=News`                                  | News                                                                                                                                                                                          |
| `type=Movies`                                | Movies                                                                                                                                                                                          |
| _Region_                                     | Provide "hint" (as ISO 3166 country code) for Invidious to load trending videos from the specified region                                                                                 |  |
| `region=JP`                                  | Load videos that are trending in Japan                                                                                                                                                    |
| `region=DE`                                  | Load videos that are trending in Germany                                                                                                                                                  |
| **Player Style**                             |                                                                                                                                                                                           |
| `player_style=invidious`                     | Invidious, the default                                                                                                                                          |
| `player_style=youtube`                       | YouTube, using a centered play button and always visible video control bar                                                                                                                                                                                         |